Package org.apache.xmlbeans.impl.tool

## Class SchemaImportResolver

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.SchemaImportResolver

- Direct Known Subclasses:
    `BaseSchemaResourceManager`

      public abstract class SchemaImportResolver
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `SchemaImportResolver.SchemaResource` | Used to supply a schema resource with an optional associated expected-namespace-URI and original-location-URL.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaImportResolver()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract SchemaImportResolver.SchemaResource` | `lookupResource​(String nsURI, String URL)` | Called when the ImportLoader wishes to resolve the given import.
    `abstract void` | `reportActualNamespace​(SchemaImportResolver.SchemaResource resource, String actualNamespace)` | Called to notify that the expected namespace is different from the actual namespace, or if no namespace is known, to report the discovered namespace.
    `protected void` | `resolveImports​(SchemaImportResolver.SchemaResource[] resources)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaImportResolver

          public SchemaImportResolver()

  - ### Method Detail

    - #### lookupResource

          public abstract SchemaImportResolver.SchemaResource lookupResource​(String nsURI,
                                                                             String URL)

      Called when the ImportLoader wishes to resolve the given import. Should return a SchemaResource whose "equals" relationship reveals when a SchemaResource is duplicated and shouldn't be examined again. Returns null if the resource reference should be ignored.

    - #### reportActualNamespace

          public abstract void reportActualNamespace​(SchemaImportResolver.SchemaResource resource,
                                                     String actualNamespace)

      Called to notify that the expected namespace is different from the actual namespace, or if no namespace is known, to report the discovered namespace.

    - #### resolveImports

          protected final void resolveImports​(SchemaImportResolver.SchemaResource[] resources)